# std::_List_node< _Tp > Struct Template Reference

Inheritance diagram for std::_List_node< _Tp >:

List of all members.

## Detailed Description

### template<typename _Tp>
struct std::_List_node< _Tp >

Definition at line 99 of file stl_list.h.

## Public Member Functions

- void hook (_List_node_base *const __position)
- void reverse ()
- void transfer (_List_node_base *const __first, _List_node_base *const __last)
- void unhook ()

## Static Public Member Functions

- static void swap (_List_node_base &__x, _List_node_base &__y)

## Public Attributes

- _Tp _M_data
- _List_node_base * _M_next
- _List_node_base * _M_prev

## Member Data Documentation

template<typename _Tp>

_Tp std::_List_node< _Tp >::_M_data

User's data.

Definition at line 101 of file stl_list.h.

Referenced by std::list< _Tp, _Allocator >::_M_create_node(), and std::list< _Tp, _Allocator >::_M_erase().

_List_node_base* std::_List_node_base::_M_next`[inherited]`

Self-explanatory.

Definition at line 77 of file stl_list.h.

Referenced by std::list< _Tp, _Alloc >::erase().

_List_node_base* std::_List_node_base::_M_prev`[inherited]`

Self-explanatory.

Definition at line 78 of file stl_list.h.

The documentation for this struct was generated from the following file:

- stl_list.h